# commitid: f468184963e53feda848853c4aefd0197b2cc116

Summary: Xlib-based X-Resource extension client library
Name: libXres
Version: 1.2.2
Release: 4%{?dist}
License: MIT
URL: http://www.x.org
Source0: https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.xz
BuildRequires: make autoconf automake libtool
BuildRequires: xorg-x11-util-macros
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(x11) >= 1.5.99.902
Requires: libX11 >= 1.5.99.902

%description
libXRes provides an X Window System client interface to 
the Resource extension to the X protocol.
The Resource extension allows for X clients to see and monitor 
the X resource usage of various clients (pixmaps, et al).

%package devel
Summary: Development files for libXres
Requires: libXres = %{version}-%{release}

%description devel
X.Org X11 libXres development package

%prep
%autosetup

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
rm -rf %{buildroot}
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files
%license COPYING
%doc AUTHORS
%{_libdir}/libXRes.so.1
%{_libdir}/libXRes.so.1.0.0

%files devel
%{_includedir}/X11/extensions/XRes.h
%{_libdir}/libXRes.so
%{_libdir}/pkgconfig/xres.pc
%{_mandir}/man3/*.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 22 2023 Shuo Wang <abushwang@tencent.com> - 1.2.2-1
- update to 1.2.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 07 2022 Wang Zhe <bessiewang@tencent.com> - 1.2.1-1
- initial build
